summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-libs/libtorrent/libtorrent-scm.ebuild5
-rw-r--r--net-p2p/pybitmessage/metadata.xml29
-rw-r--r--net-p2p/pybitmessage/pybitmessage-scm.ebuild77
-rw-r--r--net-p2p/rtorrent/rtorrent-scm.ebuild12
4 files changed, 117 insertions, 6 deletions
diff --git a/net-libs/libtorrent/libtorrent-scm.ebuild b/net-libs/libtorrent/libtorrent-scm.ebuild
index 96dde0e..66f72d6 100644
--- a/net-libs/libtorrent/libtorrent-scm.ebuild
+++ b/net-libs/libtorrent/libtorrent-scm.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=6
-inherit eutils toolchain-funcs libtool git-2
+inherit eutils toolchain-funcs libtool git-r3
DESCRIPTION="BitTorrent library written in C++ for *nix"
HOMEPAGE="https://rakshasa.github.io/rtorrent/"
@@ -13,6 +13,7 @@ LICENSE="GPL-2"
KEYWORDS=""
EGIT_REPO_URI="git://github.com/rakshasa/libtorrent.git"
+EGIT_BRANCH="feature-bind"
IUSE="debug ipv6 +c++0x libressl +ssl static-libs"
diff --git a/net-p2p/pybitmessage/metadata.xml b/net-p2p/pybitmessage/metadata.xml
new file mode 100644
index 0000000..72a9c81
--- /dev/null
+++ b/net-p2p/pybitmessage/metadata.xml
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <!-- maintainer-needed -->
+ <longdescription lang="en">
+ Bitmessage is a P2P communications protocol used to send encrypted
+ messages to another person or to many subscribers. It is
+ decentralized and trustless, meaning that you need-not inherently
+ trust any entities like root certificate authorities. It uses
+ strong authentication which means that the sender of a message
+ cannot be spoofed, and it aims to hide "non-content" data, like
+ the sender and receiver of messages, from passive eavesdroppers
+ like those running warrantless wiretapping programs.
+ </longdescription>
+ <upstream>
+ <bugs-to>
+ https://github.com/Bitmessage/PyBitmessage/issues
+ </bugs-to>
+ <doc lang="en">
+ https://bitmessage.org/wiki/PyBitmessage_Help
+ </doc>
+ <remote-id type="github">Bitmessage/PyBitmessage</remote-id>
+ </upstream>
+ <use>
+ <flag name="opencl">
+ Uses <pkg>dev-python/pyopencl</pkg> for GPU acceleration.
+ </flag>
+ </use>
+</pkgmetadata>
diff --git a/net-p2p/pybitmessage/pybitmessage-scm.ebuild b/net-p2p/pybitmessage/pybitmessage-scm.ebuild
new file mode 100644
index 0000000..ac7895b
--- /dev/null
+++ b/net-p2p/pybitmessage/pybitmessage-scm.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+# See https://github.com/Bitmessage/PyBitmessage/pull/952 for
+# why ipv6 is needed at the moment.
+PYTHON_REQ_USE="ipv6,sqlite"
+
+inherit distutils-r1 gnome2-utils git-r3
+
+MY_PN="PyBitmessage"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="P2P communications protocol"
+HOMEPAGE="https://bitmessage.org/"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/Bitmessage/PyBitmessage.git"
+EGIT_BRANCH="v0.6"
+LICENSE="MIT"
+SLOT="0/0.6"
+KEYWORDS=""
+IUSE="libressl ncurses opencl qt4 sound"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+
+# Some of these can be determined from src/depends.py.
+# The sound deps were found in src/bitmessageqt/__init__.py.
+# And src/openclpow.py imports numpy directly, so throw that in too.
+#
+# All of the dependencies that are behind USE flags are detected
+# and enabled automagically, so maybe it would be better if we
+# required them unconditionally?
+RDEPEND="${DEPEND}
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ !libressl? ( dev-libs/openssl:0[-bindist] )
+ libressl? ( dev-libs/libressl )
+ ncurses? ( dev-python/pythondialog[${PYTHON_USEDEP}] )
+ opencl? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pyopencl[${PYTHON_USEDEP}]
+ )
+ qt4? ( dev-python/PyQt4[${PYTHON_USEDEP}] )
+ sound? ( || (
+ media-sound/gst123
+ media-sound/alsa-utils
+ media-sound/mpg123
+ ) )"
+
+
+src_install () {
+ distutils-r1_src_install
+ dodoc README.md
+
+ # The man page is not installed because it's basically empty.
+
+ if use qt4 ; then
+ newicon -s 24 desktop/icon24.png "${PN}.png"
+ newicon -s scalable desktop/can-icon.svg "${PN}.svg"
+ domenu "desktop/${PN}.desktop"
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/net-p2p/rtorrent/rtorrent-scm.ebuild b/net-p2p/rtorrent/rtorrent-scm.ebuild
index 838eff1..a141f85 100644
--- a/net-p2p/rtorrent/rtorrent-scm.ebuild
+++ b/net-p2p/rtorrent/rtorrent-scm.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-p2p/rtorrent/rtorrent-0.8.4-r1.ebuild,v 1.7 2009/03/06 00:13:27 jer Exp $
-EAPI=5
+EAPI=6
-inherit base eutils toolchain-funcs flag-o-matic git-2
+inherit eutils toolchain-funcs flag-o-matic git-r3
DESCRIPTION="BitTorrent Client using libtorrent"
HOMEPAGE="http://libtorrent.rakshasa.no/"
@@ -15,7 +15,7 @@ KEYWORDS=""
IUSE="daemon debug ipv6 xmlrpc +c++0x"
EGIT_REPO_URI="git://github.com/rakshasa/rtorrent.git"
-EGIT_BOOTSTRAP="./autogen.sh"
+EGIT_BRANCH="feature-bind"
COMMON_DEPEND="=net-libs/libtorrent-scm
>=dev-libs/libsigc++-2.2.2
@@ -27,7 +27,11 @@ RDEPEND="${COMMON_DEPEND}
DEPEND="${COMMON_DEPEND}
dev-util/pkgconfig"
-
+
+src_prepare() {
+ ./autogen.sh
+ elibtoolize
+}
src_compile() {
replace-flags -Os -O2